# OptimFROG

OptimFROG audio streams with APEv2 tags.

OptimFROG is a lossless audio compression program. Its main goal is to reduce at maximum the size of audio files, while permitting bit identical restoration for all input. It is similar with the ZIP compression, but it is highly specialized to compress audio data.

Only versions 4.5 and higher are supported.

For more information, see http://www.losslessaudio.org/

class mutagen.optimfrog.OptimFROG(filething)

  Bases: `APEv2File`

  info
    Type:

      `OptimFROGInfo`

  tags
    Type:

      `mutagen.apev2.APEv2`

  static score(filename, fileobj, header)

    Returns a score for how likely the file can be parsed by this type.

    Parameters:

      - filename (fspath) – a file path

      - fileobj (fileobj) – a file object open in rb mode. Position is undefined

      - header (bytes) – data of undefined length, starts with the start of the file.

    Returns:

      negative if definitely not a matching type, otherwise a score,

        the bigger the more certain that the file can be loaded.

    Return type:

      int

class mutagen.optimfrog.OptimFROGInfo

  OptimFROG stream information.

  channels

    number of audio channels

    Type:

      `int`

  length

    file length in seconds, as a float

    Type:

      `float`

  sample_rate

    audio sampling rate in Hz

    Type:

      `int`

  bits_per_sample

    the audio sample size

    Type:

      `int`

  encoder_info

    encoder version, e.g. “5.100”

    Type:

      `mutagen.text`

  pprint()
    Returns:

      Print stream information

    Return type:

      text